﻿.box_code_container {
    display: grid;
    grid-template-rows: 1fr;
    gap: 0px 1ch;
    position: relative;
    font-family: monospace;
    font-size: 2.5rem;
    height: 100px;
    align-items: center;
}

.box_code_input {
    position: absolute;
    top: 0;
    left: .5ch;
    right: -2ch;
    height: 100px;
    font-family: inherit;
    font-size: inherit;
    border: none;
    outline: none;
    padding: 0;
    letter-spacing: 2ch;
    color: #f6911e;
    background: transparent;
    width: 18ch;
    user-select: none;
    opacity: .5;
    transition: opacity .2s ease-in-out;
    caret-color: transparent;
}

    .box_code_input:focus {
        opacity: 1;
        color: #f6911e;
    }

    .box_code_input::selection {
        background-color: transparent;
    }

.box_code_cell {
    outline: 2px solid grey;
    width: 2ch;
    height: 3ch;
    z-index: -1;
    border-radius: 5px;
    transition: border-color
}

    .box_code_cell.active {
        border-color: #f6911e
    }
